Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 278481 - Review Request: linuxdcpp - Client for the direct connect protocol
Summary: Review Request: linuxdcpp - Client for the direct connect protocol
Keywords:
Status: CLOSED DUPLICATE of bug 234331
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-05 14:06 UTC by Zdenek Prikryl
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-25 07:57:58 UTC


Attachments (Terms of Use)

Description Zdenek Prikryl 2007-09-05 14:06:19 UTC
Spec URL: http://zprikryl.fedorapeople.org/linuxdcpp.spec
SRPM URL: http://zprikryl.fedorapeople.org/linuxdcpp-1.20070905cvs-1.src.rpm
Description: Linux DC++ is a program the uses the Direct Connect protocol. It is compatible with other DC clients, such as the original DC from Neomodus, DC++ and derivatives. Linux DC++ also interoperates with all common DC hub software.

Comment 1 Till Maas 2007-09-06 13:16:42 UTC
You need to provide instructions in the spec how to create the tarball, see:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-615f6271efb394ab340a93a6cf030f2d08cf0d49

instead of
scons PREFIX=/usr 
you should use
scons PREFIX=%{_prefix}

The cvs Tag should be in release, see:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a
A good value for version would be imho 0, to make sure there are no conflicts,
once upstream uses a versioning schema

Comment 2 Zdenek Prikryl 2007-09-07 06:55:07 UTC
I correct those errors.

Spec URL: http://zprikryl.fedorapeople.org/linuxdcpp.spec
SRPM URL: http://zprikryl.fedorapeople.org/linuxdcpp-0-0.1.20070905cvs.src.rpm
Description: Linux DC++ is a program the uses the Direct Connect protocol. It is
compatible with other DC clients, such as the original DC from Neomodus, DC++
and derivatives. Linux DC++ also interoperates with all common DC hub software.

Comment 3 Till Maas 2007-09-07 15:12:03 UTC
I will review it now completely. Here is a little hint: Do not write the release
in the 0.1 from the release in the tarball oder directory. Otherwise you will
have to rebuild the tarball everytime to only want to increase the release
without changing the tarball, e.g. due to Requires-adjustment oder because of a
mandatory rebuild.

Comment 4 Till Maas 2007-09-08 06:25:22 UTC
- rpmlint: NEEDSWORK
W: linuxdcpp rpm-buildroot-usage %build scons PREFIX=%{_prefix}
FAKE_ROOT=$RPM_BUILD_ROOT release=0
It seems you can skip FAKE_ROOT=$RPM_BUILD_ROOT in %build, than rpmlint will be
silent. I do not know scons, but SConstruct uses FAKE_ROOT only in its install
section.

- licenses: NEEDSWORK
You used GPLv2 in License, but when I look in the source, nearly every file hast
a GPLv2+ header.

- naming: ok
- license in %doc: ok
- spec legible: ok
- compiling:builds for all supported architectures:ok
- BuildRequires: ok
- locales: not used: ok
- ldconfig: not needed: ok
- directory ownage: ok, todo
Please use %{_datadir}/linuxdcpp/ in %files to make it visible, that it is a
directory
- %clean, %install rm -rf: ok
- BuildRoot: ok
- no -devel or -static subpackage: ok

TODO (by me):
- Verify .desktop file
I do not yet know, how to verify whether or not StartupNotify and/or
StartupWMClass should be used. I have to do some research here.
- Verify tarball creation

Comment 5 Mamoru TASAKA 2007-09-08 16:15:11 UTC
* Fedora specific compilation flags are not honored correctly
  http://koji.fedoraproject.org/koji/getfile?taskID=152384&name=build.log
  So the created debuginfo rpm is incomplete

* Categories "Application X-Fedora" in fedora-linuxdcpp.desktop
  are deprecated and should be removed.

* rpmlint:
linuxdcpp.i386: W: file-not-utf8 /usr/share/doc/linuxdcpp-0/Changelog.txt
linuxdcpp.i386: W: file-not-utf8 /usr/share/doc/linuxdcpp-0/Credits.txt
  Encoding should be UTF-8.

Comment 6 Zdenek Prikryl 2007-09-19 13:00:00 UTC
Hello,
I corrected all reported errors above.

Spec URL: http://zprikryl.fedorapeople.org/linuxdcpp.spec
SRPM URL: http://zprikryl.fedorapeople.org/linuxdcpp-0-0.1.20070905cvs.src.rpm
Description: Linux DC++ is a program the uses the Direct Connect protocol. It is
compatible with other DC clients, such as the original DC from Neomodus, DC++
and derivatives. Linux DC++ also interoperates with all common DC hub software.

Comment 7 Till Maas 2007-09-19 17:08:45 UTC
Sorry, I have a lot of headaches recently, so I do not know when I will feel
good enough to review this. If someone else wants to review this, please do.
When I am healthy again, I will review this, in case it still needs a review.

Comment 8 Marcin Garski 2007-09-24 18:57:45 UTC
This is a duplicate of bug #234331

Comment 9 Zdenek Prikryl 2007-09-25 07:57:58 UTC

*** This bug has been marked as a duplicate of 234331 ***


Note You need to log in before you can comment on or make changes to this bug.